Type (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.typedbytes, enum: Type

Package org.apache.hadoop.typedbytes

# Enum Class Type

java.lang.Object
java.lang.Enum<Type>
org.apache.hadoop.typedbytes.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<Type>`, `Constable`

public enum Type extends Enum<Type>
The possible type codes.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BOOL`
  `BYTE`
  `BYTES`
  `DOUBLE`
  `FLOAT`
  `INT`
  `LIST`
  `LONG`
  `MAP`
  `MARKER`
  `STRING`
  `VECTOR`
  `WRITABLE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Type`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Type[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BYTES

    public static final Type BYTES

  - ### BYTE

    public static final Type BYTE

  - ### BOOL

    public static final Type BOOL

  - ### INT

    public static final Type INT

  - ### LONG

    public static final Type LONG

  - ### FLOAT

    public static final Type FLOAT

  - ### DOUBLE

    public static final Type DOUBLE

  - ### STRING

    public static final Type STRING

  - ### VECTOR

    public static final Type VECTOR

  - ### LIST

    public static final Type LIST

  - ### MAP

    public static final Type MAP

  - ### WRITABLE

    public static final Type WRITABLE

  - ### MARKER

    public static final Type MARKER

- ## Method Details

  - ### values

    public static Type[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Type valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null